Skip to main content
DELETE
/
network_flow_reports
/
{network_flow_report_token}
Delete network flow report
curl --request DELETE \
  --url https://api.vantage.sh/v2/network_flow_reports/{network_flow_report_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/network_flow_reports/{network_flow_report_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/network_flow_reports/{network_flow_report_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "<string>",
  "title": "Public Traffic Destinations",
  "default": true,
  "created_at": "2024-03-19T00:00:00Z",
  "workspace_token": "<string>",
  "start_date": "2024-03-01",
  "end_date": "2024-03-20",
  "date_interval": "last_month",
  "groupings": "cost_type, tag:account",
  "flow_direction": "ingress",
  "flow_weight": "costs",
  "filter": "<string>",
  "created_by_token": "<string>"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

network_flow_report_token
string
required

Response

NetworkFlowReport model

token
string
required
title
string
required

The title of the NetworkFlowReport.

Example:

"Public Traffic Destinations"

default
boolean
required

Indicates whether the NetworkFlowReport is the default report.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the NetworkFlowReport is a part of.

start_date
string | null
required

The start date for the NetworkFlowReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-01"

end_date
string | null
required

The end date for the NetworkFlowReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-20"

date_interval
string | null
required

The date range for the NetworkFlowReport. Only present if a custom date range is not specified.

Example:

"last_month"

groupings
string | null
required

The grouping aggregations applied to the filtered data.

Example:

"cost_type, tag:account"

flow_direction
string | null
required

The flow weight of the NetworkFlowReport. Possible values: costs, bytes.

Example:

"ingress"

flow_weight
string
required

The flow weight of the NetworkFlowReport. Possible values: costs, bytes.

Example:

"costs"

filter
string | null
required

The filter applied to the NetworkFlowReport. Additional documentation available at https://docs.vantage.sh/vql.

created_by_token
string | null

The token for the User or Team that created this NetworkFlowReport.